gulp dev报错:ReferenceError:primordials is not defined(已解决)
发布于 1 个月前 作者 qjzd 223 次浏览 来自 码农

谷歌之后得到的最佳答案: 原链接:https://timonweb.com/posts/how-to-fix-referenceerror-primordials-is-not-defined-error/

也许是因为你的gulp版本v3,node版本v12。 解决方法:

  • 将gulp版本升级到v4。
  • 将node版本降级到v11。
  • 将graceful-fs升级到在node v12+下工作的版本4.2.2(推荐)。

推荐解决办法:

  1. 在package.json同级目录下新建文件npm-shrinkwrap.json,输入以下内容:
{
  "dependencies": {
    "graceful-fs": {
      "version": "4.2.2"
    }
  }
}
  1. npm install

gulp dev就成功了。

回到顶部